Loading...
Searching...
No Matches
sony_tag Struct Reference

`#include <aaruformat/structs/lisa_tag.h>`

## Data Fields

uint16_t | version
| 0x00, Lisa OS version number
uint8_t | kind: 2
| 0x02 bits 7 to 6, kind of info in this block
uint8_t | reserved: 6
| 0x02 bits 5 to 0, reserved
uint8_t | volume
| 0x03, disk volume number
int16_t | file_id
| 0x04, file ID
uint16_t | rel_page
| 0x06, relative page number
uint16_t | next_block
| 0x08, next block, 0x7FF if it's last block, 0x8000 set if block is valid
uint16_t | prev_block
| 0x0A, previous block, 0x7FF if it's first block

## Detailed Description

Definition at line 34 of file lisa_tag.h.

## Field Documentation

## file_id

int16_t sony_tag::file_id

0x04, file ID

Definition at line 40 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## kind

uint8_t sony_tag::kind

0x02 bits 7 to 6, kind of info in this block

Definition at line 37 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## next_block

uint16_t sony_tag::next_block

0x08, next block, 0x7FF if it's last block, 0x8000 set if block is valid

Definition at line 42 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## prev_block

uint16_t sony_tag::prev_block

0x0A, previous block, 0x7FF if it's first block

Definition at line 43 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## rel_page

uint16_t sony_tag::rel_page

0x06, relative page number

Definition at line 41 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## reserved

uint8_t sony_tag::reserved

0x02 bits 5 to 0, reserved

Definition at line 38 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## version

uint16_t sony_tag::version

0x00, Lisa OS version number

Definition at line 36 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

## volume

uint8_t sony_tag::volume

0x03, disk volume number

Definition at line 39 of file lisa_tag.h.

Referenced by bytes_to_sony_tag(), priam_tag_to_sony(), profile_tag_to_sony(), sony_tag_to_bytes(), sony_tag_to_priam(), and sony_tag_to_profile().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/lisa_tag.h